org.firebirdsql.jca

## Class FBStandAloneConnectionManager

- java.lang.Object
- - org.firebirdsql.jca.FBStandAloneConnectionManager

All Implemented Interfaces:
  java.io.Serializable, java.util.EventListener, javax.resource.spi.ConnectionEventListener, javax.resource.spi.ConnectionManager

    public class FBStandAloneConnectionManager
    extends java.lang.Object
    implements javax.resource.spi.ConnectionManager, javax.resource.spi.ConnectionEventListener, java.io.Serializable

The class `FBStandAloneConnectionManager` provides the default implementation of ConnectionManager for standalone use. There is no pooling or other features..

Version:
  1.0
Author:
  David Jencks, Mark Rotteveel
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf, javax.resource.spi.ConnectionRequestInfo cxRequestInfo)` Allocate a new `ManagedConnection`.
`void` `connectionClosed(javax.resource.spi.ConnectionEvent ce)` `javax.resource.spi.ConnectionEventListener` callback for when a `ManagedConnection` is closed.
`void` `connectionErrorOccurred(javax.resource.spi.ConnectionEvent ce)` `javax.resource.spi.ConnectionEventListener` callback for when a Local Transaction was rolled back within the context of a `ManagedConnection`.
`void` `localTransactionCommitted(javax.resource.spi.ConnectionEvent event)` Ignored event callback
`void` `localTransactionRolledback(javax.resource.spi.ConnectionEvent event)` Ignored event callback
`void` `localTransactionStarted(javax.resource.spi.ConnectionEvent event)` Ignored event callback

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### allocateConnection

    public java.lang.Object allocateConnection(javax.resource.spi.ManagedConnectionFactory mcf,
                                               javax.resource.spi.ConnectionRequestInfo cxRequestInfo)
                                        throws javax.resource.ResourceException

Allocate a new `ManagedConnection`.

Specified by:
  `allocateConnection` in interface `javax.resource.spi.ConnectionManager`
Parameters:
  `mcf` - The `ManagedConnectionFactory` used to create the new connection.
  `cxRequestInfo` - The parameters to be used in creating the new connection
Throws:
  `javax.resource.ResourceException` - If the connection cannot be allocated

#### connectionClosed

    public void connectionClosed(javax.resource.spi.ConnectionEvent ce)

`javax.resource.spi.ConnectionEventListener` callback for when a `ManagedConnection` is closed.

Specified by:
  `connectionClosed` in interface `javax.resource.spi.ConnectionEventListener`
Parameters:
  `ce` - contains information about the connection that has be closed

#### connectionErrorOccurred

    public void connectionErrorOccurred(javax.resource.spi.ConnectionEvent ce)

`javax.resource.spi.ConnectionEventListener` callback for when a Local Transaction was rolled back within the context of a `ManagedConnection`.

Specified by:
  `connectionErrorOccurred` in interface `javax.resource.spi.ConnectionEventListener`
Parameters:
  `ce` - contains information about the connection

#### localTransactionStarted

    public void localTransactionStarted(javax.resource.spi.ConnectionEvent event)

Ignored event callback

Specified by:
  `localTransactionStarted` in interface `javax.resource.spi.ConnectionEventListener`

#### localTransactionCommitted

    public void localTransactionCommitted(javax.resource.spi.ConnectionEvent event)

Ignored event callback

Specified by:
  `localTransactionCommitted` in interface `javax.resource.spi.ConnectionEventListener`

#### localTransactionRolledback

    public void localTransactionRolledback(javax.resource.spi.ConnectionEvent event)

Ignored event callback

Specified by:
  `localTransactionRolledback` in interface `javax.resource.spi.ConnectionEventListener`